summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2022-11-04 17:19:21 +0100
committerChristian Grothoff <christian@grothoff.org>2022-11-04 17:19:21 +0100
commit343a1b107125592445762e41f1262101f5bfc626 (patch)
tree61d1b6d4ca1d93e9ced9772cd1d4fedb8221a1cd
parent2ee30beb476429829be0ddcc7c08244874295399 (diff)
downloadmerchant-343a1b107125592445762e41f1262101f5bfc626.tar.gz
merchant-343a1b107125592445762e41f1262101f5bfc626.tar.bz2
merchant-343a1b107125592445762e41f1262101f5bfc626.zip
-fix sandbox testv0.9.0
-rwxr-xr-xsrc/testing/initialize_taler_system.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/src/testing/initialize_taler_system.sh b/src/testing/initialize_taler_system.sh
index 693e6513..b4cbbb26 100755
--- a/src/testing/initialize_taler_system.sh
+++ b/src/testing/initialize_taler_system.sh
@@ -184,7 +184,11 @@ do
sleep 0.1
OK=0
# bank
- wget --waitretry=0 --timeout=1 http://localhost:8082/ -o /dev/null -O /dev/null >/dev/null || continue
+ wget --waitretry=0 --timeout=1 \
+ --user admin --password secret \
+ http://localhost:8082/ \
+ -o /dev/null \
+ -O /dev/null >/dev/null || continue
OK=1
break
done
@@ -259,7 +263,9 @@ for n in `seq 1 3`
do
echo -n "."
OK=0
- wget --tries=1 --timeout=1 http://localhost:8081/keys -o /dev/null -O /dev/null >/dev/null || continue
+ wget --tries=1 --timeout=1 \
+ http://localhost:8081/keys \
+ -o /dev/null -O /dev/null >/dev/null || continue
OK=1
break
done